html, body {
    height: 100vh;
    margin: 0;
    padding: 0;
    overflow: hidden;   
}
.ctaDiv {
    position: absolute;
    background-color: #1b3a34;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 99;
    font-family: "Inter", sans-serif;
    font-size: 14px;
    font-weight: 200;
    line-height: 1.5;
    color: #fff;
}

#chooseCamSel {
    background-color: #47615B;
    padding: 10px;
    border-radius: 50px;
    color: #ffffff;
    border: 0;
}

#progress-counter {
    text-align: center;
    font-family: "Poppins", sans-serif;
    font-size: 36px;
    font-weight: 700;
}

#unity-container {
    position: absolute;
    background-color: #1b3a34;
}

#unity-container.unity-desktop {
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%)
}

#unity-container.unity-mobile {
    width: 100%;
    height: 100%
}

#unity-canvas {
    background: #231F20
}

.unity-mobile #unity-canvas {
    width: 100%;
    height: 100%
}

/* #unity-loading-bar { position: absolute; left: 50%; top: 50%; transform: translate(-50%, -50%); display: none } */
#unity-loading-bar {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    margin: auto;
    transform: translateY(35vh);
    display: none;
    width: 80vw;
    max-width: 400px;
    text-align: center;
    font-family: "Inter", sans-serif;
    color: #ffffff;
    z-index: 999;
}

#unity-logo {
    width: 154px;
    height: 130px;
    background: url('../../TemplateData/unity-logo-light.png') no-repeat center
}

#unity-progress-bar-empty {
    width: 100%;
    height: 20px;
    border: 0;
    background-color: #47615B;
    position: relative;
    box-sizing: border-box;
}

#unity-progress-bar-empty,
#unity-progress-bar-full {
    box-sizing: border-box;
}

#unity-progress-bar-full {
    height: 100%;
    width: 0%;
    background-color: #F67914;
    transition: width 0.3s ease;
}

#unity-footer {
    position: relative
}

.unity-mobile #unity-footer {
    display: none
}

#unity-webgl-logo {
    float: left;
    width: 204px;
    height: 38px;
    background: url('../../TemplateData/webgl-logo.png') no-repeat center
}

#unity-build-title {
    float: right;
    margin-right: 10px;
    line-height: 38px;
    font-family: arial;
    font-size: 18px
}

#unity-fullscreen-button {
    float: right;
    width: 38px;
    height: 38px;
    background: url('../../TemplateData/fullscreen-button.png') no-repeat center
}

#unity-warning {
    position: absolute;
    left: 50%;
    top: 5%;
    transform: translate(-50%);
    background: white;
    padding: 10px;
    display: none
}

/* Common button styles */
a.button:link,
a.button:visited {
    border-radius: 24px;
    color: white;
    font-weight: bold;
    /* margin: 36px; */
    padding: .5em 1.5em;
    position: relative;
    text-align: center;
    text-decoration: none;
    text-shadow: 0 1px 1px #444;
    cursor: pointer;
    z-index: 999;
}

a.button:before {
    content: "";
    display: block;
    position: absolute;
    top: -5px;
    left: -5px;
    bottom: -5px;
    right: -5px;
    z-index: -1;
    border-radius: 20px;
    box-shadow: 0px 1px 1px 1px #ccc,
        0 0 0 4px #fff,
        0 2px 12px 2px #444
}

a.button:active:before {
    box-shadow: 0px 1px 2px 0 #444 inset,
        0 0 0 4px #fff,
        0 2px 12px 2px #444
}

/* Orange button styles - #F67914 */
a.button.orange {
    background-color: #F67914;
}

a.button.orange:before {
    background-color: #F67914;
    background-image: linear-gradient(to bottom, #FF9A42 0%, #D05E00 40%);
}

a.button.orange:active {
    background-color: #D05E00;
}

a.button.orange:active:before {
    background-color: #D05E00;
    background-image: none;
}

a.button.orange:hover {
    background: #FF8C29;
}

a.button.orange:hover:before {
    background-image: linear-gradient(to bottom, #FFA75C 0%, #F67914 40%);
}

/* Green button styles - #0FB225 */
a.button.green {
    background-color: #0FB225;
}

a.button.green:before {
    background-color: #0FB225;
    background-image: linear-gradient(to bottom, #34D249 0%, #0A8D1C 40%);
}

a.button.green:active {
    background-color: #0A8D1C;
}

a.button.green:active:before {
    background-color: #0A8D1C;
    background-image: none;
}

a.button.green:hover {
    background: #26C93B;
}

a.button.green:hover:before {
    background-image: linear-gradient(to bottom, #4FD962 0%, #0FB225 40%);
}

/* Red button styles - #E4273D */
a.button.red {
    background-color: #E4273D;
}

a.button.red:before {
    background-color: #E4273D;
    background-image: linear-gradient(to bottom, #F15266 0%, #C11629 40%);
}

a.button.red:active {
    background-color: #C11629;
}

a.button.red:active:before {
    background-color: #C11629;
    background-image: none;
}

a.button.red:hover {
    background: #F13A4F;
}

a.button.red:hover:before {
    background-image: linear-gradient(to bottom, #F66A7A 0%, #E4273D 40%);
}

.group {
    margin-bottom: 20px;
}

.no-cssgradients a.button:before {
    background-image: none;
}

.no-cssgradients a.button.orange:hover:before {
    background: #FF8C29;
}

.no-cssgradients a.button.green:hover:before {
    background: #26C93B;
}

.no-cssgradients a.button.red:hover:before {
    background: #F13A4F;
}

a.button.no-border:before {
    box-shadow: 0px -1px 2px 0 #065881 inset,
        0px 1px 1px 1px #ccc;
}

#clickSound {
    display: none;
}